"Uncaught Error: Inserted data is trying to close the root node (at index 0)" while trying to go to next line after adding an empty heading
Closed, ResolvedPublic8 Story Points

Description

Steps to reproduce:

  1. Open VE
  2. For Paragraph style, choose Sub-Heading 1 or any other option from that list
  3. Now press enter without typing something

Observed Result:
There is an error in the console: Uncaught Error: Inserted data is trying to close the root node (at index 0)

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 25 2016, 12:47 AM
Jdforrester-WMF renamed this task from Uncaught Error: Inserted data is trying to close the root node (at index 0)while trying to go to next line after adding an empty heading to "Uncaught Error: Inserted data is trying to close the root node (at index 0)" while trying to go to next line after adding an empty heading.Dec 6 2016, 5:35 PM
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF set the point value for this task to 8.

Change 362229 had a related patch set uploaded (by DLynch; owner: DLynch):
[VisualEditor/VisualEditor@master] ui.FormatAction: fixup selection for empty conversions

https://gerrit.wikimedia.org/r/362229

Change 362229 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] ui.FormatAction: fixup selection for empty conversions

https://gerrit.wikimedia.org/r/362229

Change 363691 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (1934b77e7)

https://gerrit.wikimedia.org/r/363691

Change 363691 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (1934b77e7)

https://gerrit.wikimedia.org/r/363691

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 6 2017, 9:09 PM